﻿/*
Copyright (c) 2008 William Duff

Permission is hereby granted, free of charge, to any person obtaining a copy 
of this software and associated documentation files (the "Software"), to deal 
in the Software without restriction, including without limitation the rights 
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
copies of the Software, and to permit persons to whom the Software is furnished
to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all 
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
SOFTWARE.
*/

using System;
using System.Collections.Generic;
using System.Text;

namespace LiveUpload.Facebook
{
    public class AccountLink
    {
        #region Constructors

        /// <summary>
        /// Constructs an object to link a Windows Live Photo Gallery person 
        /// tag to Facebook account.
        /// </summary>
        public AccountLink(PersonTag personTag)
        {
            this.personTag = personTag;
            this.facebookFriend = null;
        }

        /// <summary>
        /// Constructs an object to link a Windows Live Photo Gallery person 
        /// tag to Facebook account.
        /// </summary>
        public AccountLink(PersonTag personTag, Friend facebookFriend)
        {
            this.personTag = personTag;
            this.facebookFriend = facebookFriend;
        }

        #endregion

        #region Private Fields

        private PersonTag personTag;
        private Friend facebookFriend;

        #endregion

        #region Public Fields

        /// <summary>
        /// Name of the friend
        /// </summary>
        public PersonTag PersonTag
        {
            get { return this.personTag; }
        }

        /// <summary>
        /// UID of the friend
        /// </summary>
        public Friend FacebookFriend
        {
            get { return this.facebookFriend; }
            set { this.facebookFriend = value; }
        }

        #endregion
    }
}
