﻿/*
Copyright (c) 2008 William Duff

Permission is hereby granted, free of charge, to any person obtaining a copy 
of this software and associated documentation files (the "Software"), to deal 
in the Software without restriction, including without limitation the rights 
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
copies of the Software, and to permit persons to whom the Software is furnished
to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all 
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
SOFTWARE.
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using LiveUpload.Facebook.Properties;
using System.Diagnostics;

namespace LiveUpload.Facebook
{
    public partial class SummaryForm : Form
    {
        #region Constructors

        /// <summary>
        /// Constructs a new SummaryForm to display a list of log items.
        /// </summary>
        public SummaryForm(SessionData sessionData)
        {
            InitializeComponent();

            this.sessionData = sessionData;
        }

        #endregion

        #region Private Fields

        private SessionData sessionData;

        #endregion

        #region Private Methods

        private void SummaryForm_Load(object sender, EventArgs e)
        {
            string logText = string.Empty;

            sessionData.Log.ForEach(delegate(LogItem action)
            {
                logText += action.Message + "\r\n";
            });

            this.summaryLogTextBox.Text = logText;
        }

        #endregion
    }
}
